Subject: Re: cygwin port forwarding
From: Ross Boylan <[email-masked]>
To: Andrey Repin <[email-masked]>
Cc: [email-masked]
Date: Sun, 24 Jun 2012 11:33:13 -0700
List-Id: <cygwin.cygwin.com>

On Sun, 2012-06-24 at 04:07 +0400, Andrey Repin wrote:
> Greetings, Ross Boylan!
> 
> > Can non-cygwin applications "see" the ports ssh in cygwin sets up for
> > forwarding?  I did some tests on Windows 7 and found that, although the
> > forwarding was clearly in effect for commands I ran in the cygwin shell,
> > it did not seem to be accessible to the regular Windows version of
> > Thunderbird.
> 
> > The local port I forwarded was not privileged.  I used no Windows admin
> > privileges.
> 
> netstat -aon
> 
> Curious, what "tests" you did instead of getting the data straight from OS?
> And what exactly you've tried to do? If you're looking for proxy through SSH
> tunnel, you'd be better off with PuTTY -D 1080 and IE using SOCKS proxy.
> 
I ran netstat, I think in a non-cygwin terminal, and didn't see the
ports listed (though I remember doing netstat-an, which seems like Unix
options not windows).  For thunderbird, I pointed it at localhost and
the forwarded port, and was unable to connect.  One reason I asked is
that I have only middling confidence I  know what t-bird is actually
doing.

On the other hand, inside a cygwin terminal I was able to use openssl to
connect via the same port on localhost.

The target port is secure IMAP, 993.

I'm using ssh in addition to SSL because the tunnel must be though ssh
and the server is only serving SSL.  The underlying motivation is that
we suspect the links used by the regular connection are not reliable.

Ross

--
Problem reports:       http://cygwin.com/problems.html
FAQ:                   http://cygwin.com/faq/
Documentation:         http://cygwin.com/docs.html
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple